Tutoriel d'intégration
Appel au format officiel Replicate
| Si vous avez besoin d'un modèle supplémentaire, contactez le service client
Remplacez https://api.replicate.com officiel par /replicate Les données d'entrée/sortie et les méthodes de requête sont identiques à celles du site officiel
Processus d'intégration
- Création de la tâche Après soumission de la tâche, récupérez l'ID de la tâche
- Consultation de l'avancement de la tâche Interrogez l'avancement de la tâche via son ID pour obtenir le résultat
PS : La durée de validité des liens de ressources renvoyés est de 1 heure
Description des champs clés de la réponse
Champ Type Description input objet Entrée output string ou []string URL de sortie du contenu status string Statut : starting processing succeeded failed
1.Génération de tâche.Méthode par chemin Exemple avec black-forest-labs/flux-schnell
curl --request POST \
--url {{BASE_URL}}/replicate/v1/models/black-forest-labs/flux-schnell/predictions \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json' \
--data '{
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"go_fast": true,
"megapixels": "1",
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "jpg",
"output_quality": 80,
"num_inference_steps": 4
}
}'Le champ id dans la réponse correspond à l'ID de la tâche pour l'étape suivante
{
"id": "qpt5jq1fssrmc0cmd5hvy31mdg",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-01-15T09:54:55.566Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg/cancel",
"get": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg",
"stream": "https://stream.replicate.com/v1/files/bcwr-gvuc2rokjozhlaxh6dcvk6tvhh2ymt4egnnpxvmtqql57angyfsq"
}
}2.Génération de tâche.Méthode version Exemple avec lucataco/flux-schnell-lora Documentation de référence https://replicate.com/lucataco/flux-schnell-lora?input=http D'après la documentation, la version est : 2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574
curl --request POST \
--url {{BASE_URL}}/replicate/v1/predictions \
--header 'Authorization: Bearer hk-your-key' \
--header 'Content-Type: application/json' \
--data '{
"version": "2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"hf_lora": "alvdansen/frosting_lane_flux",
"lora_scale": 0.8,
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"prompt_strength": 0.8,
"num_inference_steps": 4
}
}'Le format de la réponse est identique à celui indiqué ci-dessus Récupération de la tâche Obtenez l'ID de la tâche à partir de n'importe quelle méthode de génération ci-dessus Le résultat se trouve dans le champ clé output Remarque : le résultat et les fichiers liés ont une durée de validité limitée get /replicate/v1/predictions/
curl --request GET \
--url {{BASE_URL}}/replicate/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114 \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json'Réponse
{
"id": "ctdwaehfz1rm80cmd5nsjd8114",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "Using seed: 62182\nrunning quantized prediction\nUsing seed: 62182\n 0%| | 0/4 [00:00<?, ?it/s]\n 75%|███████▌ | 3/4 [00:00<00:00, 15.38it/s]\n100%|██████████| 4/4 [00:00<00:00, 13.43it/s]\nTotal safe images: 1 out of 1\n",
"output": [
"https://replicate.delivery/xezq/RoEhEdyl8PoIGFFPg46TU4Svj24i1NDVYmzehJfqLuX9nTFUA/out-0.jpg"
],
"data_removed": false,
"error": null,
"status": "succeeded",
"created_at": "2025-01-15T10:03:39.896Z",
"started_at": "2025-01-15T10:03:40.584470194Z",
"completed_at": "2025-01-15T10:03:41.142386377Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114/cancel",
"get": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114",
"stream": "https://stream.replicate.com/v1/files/bcwr-q57vie7wuzg3wxv2hvpajgmzqzmxe67kqddednevutmrpdcft6xq"
},
"metrics": {
"image_count": 1,
"predict_time": 0.557916184
}
}